Commit 0e840be6 authored by Gustavo Zacarias's avatar Gustavo Zacarias Committed by Thomas Petazzoni
Browse files

ntp: adjust initscript



Use proper status messages, make spacing standard instead of a mix of
spacing/tabbing, drop boringly obvious comment from the header.
Also make reload = restart since ntpd doesn't handle reloading resulting
in the old reload being 'stop'.

Signed-off-by: default avatarGustavo Zacarias <gustavo@zacarias.com.ar>
Signed-off-by: default avatarThomas Petazzoni <thomas.petazzoni@free-electrons.com>
parent e3c2e7c7
Loading
Loading
Loading
Loading
+20 −26
Original line number Diff line number Diff line
#! /bin/sh
#
# System-V init script for the openntp daemon
#

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DESC="network time protocol daemon"
NAME=ntpd
DAEMON=/usr/sbin/$NAME

@@ -19,24 +14,23 @@ fi

case "$1" in
  start)
	echo -n "Starting $DESC: $NAME"
    echo -n "Starting $NAME: "
    start-stop-daemon -S -q -x $DAEMON -- -g
	echo "."
    [ $? = 0 ] && echo "OK" || echo "FAIL"
    ;;
  stop) echo -n "Stopping $DESC: $NAME"
  stop)
    echo -n "Stopping $NAME: "
    start-stop-daemon -K -q -n $NAME
	echo "."
    [ $? = 0 ] && echo "OK" || echo "FAIL"
    ;;
  reload|force-reload) echo -n "Reloading $DESC configuration..."
	start-stop-daemon -K -q -n $NAME -s 1
	echo "done."
  ;;
  restart) echo "Restarting $DESC: $NAME"
  restart|reload)
    echo "Restarting $NAME: "
    $0 stop
    sleep 1
    $0 start
    ;;
  *) echo "Usage: $0 {start|stop|restart|reload|force-reload}" >&2
  *)
    echo "Usage: $0 {start|stop|restart|reload}" >&2
    exit 1
    ;;
esac